Name: kpopup
Version: 0.9.8.2
Release: alt4

Summary: KPopup is a program for sending and receiving Microsoft WinPopup messages.
Summary(ru_RU.UTF-8): KPopup - программа для отсылки и приема сообщений Microsoft WinPopup.
License: GPL
Group: Networking/Instant messaging
Url: http://www.henschelsoft.de

Packager: Alexey Morsov <swi@altlinux.ru>
Source: %name-%version.tar
Source1: %name.ru.po
Source2: %name.ru.gmo
Patch1: kpopup-0.9.8.2-admin-scripts-update.alt.patch

Requires: samba

BuildRequires: gcc-c++ kde-i18n-ru kdelibs-devel libjpeg-devel xml-utils 

%description
KPopup is a program for sending and receiving Microsoft WinPopup messages.

%description -l ru_RU.UTF8
KPopup - программа для отсылки и приема сообщений Microsoft WinPopup.

%prep
%setup -q
%patch1 -p1
chmod 755 admin/detect-autoconf.pl
cp %SOURCE1 po/ru.po
cp %SOURCE2 po/ru.gmo

%build
%make -f admin/Makefile.common
%configure
%make_build

%install
%make_install DESTDIR=%buildroot install
mkdir -p %buildroot%_localstatedir/%name

%find_lang %name

%post
%update_menus

%postun
%clean_menus


%files -f %name.lang
%doc AUTHORS COPYING ChangeLog README TODO
%_bindir/*
%_datadir/applications/kde/*
%_datadir/doc/HTML/en/%name/
%_miconsdir/*
%_niconsdir/*
%_liconsdir/*
%attr(755,root,root)%_localstatedir/%name/

%changelog
* Fri Feb 08 2008 Alexey Morsov <swi@altlinux.ru> 0.9.8.2-alt4
- fix /var/lib/kpopup/ permissions

* Wed Dec 26 2007 Alexey Morsov <swi@altlinux.ru> 0.9.8.2-alt3
- update admin/ scripts for autoconf > 2.6

* Mon Sep 24 2007 Alexey Morsov <swi@altlinux.ru> 0.9.8.2-alt2
- add update_menus

* Wed Dec 27 2006 Alexey Morsov <swi@altlinux.ru> 0.9.8.2-alt1
- initial build for sisyphus

